- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Typedefs
Eo

Generic object system. More...

## Typedefs
typedef struct _Eo_Opaque | Eo
| The basic Object type.
typedef Eo | Eo_Class
| The basic class type - should be removed, just for compat. More...
typedef short | Eo_Callback_Priority
| Callback priority value. More...

## Detailed Description

Generic object system.

## Typedef Documentation

Eo_Class

The basic class type - should be removed, just for compat.

Deprecated:

Eo_Callback_Priority

Callback priority value.

Range is -32k - 32k. The lower the number, the higher the priority.

See also
  EO_CALLBACK_PRIORITY_AFTER
  EO_CALLBACK_PRIORITY_BEFORE
  EO_CALLBACK_PRIORITY_DEFAULT